cbuffer CBuf
{
	matrix transform;
};

struct VSInput
{
	float3 pos : Position;
	float2 tex : TexCoord;
	float slot : ImageSlot;
};

struct VSOut
{
	float2 tex : TexCoord;
	float4 pos : SV_Position;
	float slot : ImageSlot;
};

VSOut main(VSInput input)
{
	VSOut vso;
	vso.pos = mul(float4(input.pos, 1.0f), transform);
	vso.tex = input.tex;
	vso.slot = input.slot;
	return vso;
}
